﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using HeuristicLab.Common;

namespace HeuristicLab.Services.Hive.Common.DataTransfer {
  [DataContract]
  public abstract class NamedHiveItem : HiveItem {
    [DataMember]
    public string Name { get; set; }
    [DataMember]
    public string Description { get; set; }

    protected NamedHiveItem() { }
    protected NamedHiveItem(NamedHiveItem original, Cloner cloner) : base(original, cloner) {
      this.Name = original.Name;
      this.Description = original.Description;
    }
  }
}
